<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides Admin for Checkout management
 *
 * @package    Checkout
 * @category   Controllers/Admin
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Admin_Checkout extends Controller_Checkout {
	protected $secure_actions = array(
		'manual'=>FALSE,
	);

	public function action_manual() {
		$this->auto_render = FALSE;

		$cno = ORM::factory('Checkout_Notify',$this->request->param('id'));

		if (! $cno->loaded())
			throw HTTP_Exception::factory(404,'Not found?');

		// Process our Notify
		try {   
                        $this->response->body($cno->process());

		} catch (Exception $e) {
                        Kohana_Exception::log($e);

			echo Debug::vars($e);
			die();
		}

		$this->response->headers('Content-Type','text/plain');
		$this->response->headers('Content-Length',(string)$this->response->content_length());
		$this->response->headers('Last-Modified',time());
	}
}
?>
